Bug 133038 - NTP driftfile set to wrong location when obtaing lease
NTP driftfile set to wrong location when obtaing lease
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: dhcpcd (Show other bugs)
3.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jason Vas Dias
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-09-20 22:18 EDT by Mark Williamson
Modified: 2007-11-30 17:07 EST (History)
0 users

See Also:
Fixed In Version: dhcp-3.0.1-8
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-21 12:35:03 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Mark Williamson 2004-09-20 22:18:52 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Windows; U; Windows NT 5.1; rv:1.7.3)
Gecko/20040913 Firefox/0.10

Description of problem:
/sbin/dhclient-script sets the driftfile in /etc/ntp.conf to an
incorrect location (/etc/ntp/data/drift) generating much noise in
/var/log/messages. It should IMHO be set to /var/lib/ntp/drift

Pretty identical to bug:
http://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=105893

Version-Release number of selected component (if applicable):
dhclient-3.0pl2-6.14.1

How reproducible:
Always

Steps to Reproduce:
1.Get a ip via a dhcp lease that has NTP info
2.
3.
    

Additional info:
Comment 1 Jason Vas Dias 2004-09-21 12:35:03 EDT
This is a known issue ( bug #131733 ), that is fixed in
dhcp-3.0.1rc12+ and in current version of dhcp : dhcp-3.0.1-7.

dhcp-3.0.1-7+ will not be available for RHEL-3 until Update 4.

Meanwhile, you can get the RPMS for
dhcp-3.0.1-6 compiled for RHEL-3 at:
http://people.redhat.com/~jvdias/DHCP/RHEL-3/

or you can download the latest source RPM:
ftp://download.fedora.redhat.com:/pub/fedora/linux/core/development/SRPMS/dhcp-3.0.1-7.src.rpm
and build it with:
$ rpmbuild --rebuild dhcp-3.0.1-7.src.rpm
and install the resulting rpms in /usr/src/redhat/RPMS .
Comment 2 John Flanagan 2004-12-21 14:41:46 EST
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2004-566.html

Note You need to log in before you can comment on or make changes to this bug.